Jens Vagelpohl wrote:


On 2 Dec 2005, at 18:58, yuppie wrote:

Tres Seaver wrote:
 import Testing
-import Zope2
-Zope2.startup()
I'm seeing issues in some tests which fail when run outside the full
suite after changes like these.  E.g.,
zopectl> test CMFDefault

I'm trying to run those tests and seem to come against some dependency issue, once again. Running CMF trunk with Five trunk and the Zope-2.8-branch gives me this:

File "/usr/local/zope/28Instance/Products/GenericSetup/utils.py", line 36, in ?
    from Products.Five.bbb.OFS_interfaces import IOrderedContainer
ImportError: No module named bbb.OFS_interfaces

Could we please be a little more specific in each modules' DEPENDENCIES.txt about the exact software versions needed? The one in GenericSetup only says "Five >= 1.2". What do I need?

Five 1.2 branch depends on Zope 2.8 branch, Five 1.3 branch and Five trunk depend on Zope 2.9 branch or Zope trunk.

Cheers, Yuppie

_______________________________________________
Zope-CMF maillist  -  Zope-CMF@lists.zope.org
http://mail.zope.org/mailman/listinfo/zope-cmf

See http://collector.zope.org/CMF for bug reports and feature requests

Reply via email to